Subject: Bug#3734: X11 problems

From: Ian Jackson <[email-masked]>
Date: Tue, 9 Jul 96 19:51 BST

Package: xbase et al.
Version: 3.1.2-9

I upgraded my X stuff from 3.1.2-7.  I was running it from an xterm
and it shut down xdm without asking or noticing that I was running
under X, causing the installation to be rather rudely interrupted.
Oddly, when I retried the installation from an ordinary shell, it did
ask.

During the xbase setup I got several conffiles prompts, most of which
were fairly expected.  I looked at some of the things it was doing,
and saw /etc/X11/config mentioned.  I therefore created
/etc/X11/config and put the things in it that I could see I needed.

Later - when searching for the reasons for my X sessions not working -
I discovered that I had to add many more entries, notably
 allow-user-xsession
 allow-user-modmap
 allow-user-resources
 allow-failsafe

I also saw that
 obey-nologin
has to be present for xdm to honour nologin.  Surely this test should
be reversed, so that
 ignore-nologin
is required to do this rather dangerous thing ?

Finally, I had to edit the supplied Xsession script because it fails
if the user has an executable file or a directory in their home
directory whose name is the same as one of the words in the comment at
the top of /etc/X11/window-managers (!).  My patch is below.

Ian.

--- /etc/X11/Xsession~	Tue May  7 16:00:43 1996
+++ /etc/X11/Xsession	Tue Jul  9 19:51:15 1996
@@ -7,6 +7,7 @@
 # If /etc/environment is present, source it. It's useful to put default
 # environment settings in this file, and then source it both here and in
 # /etc/profile.
+
 if [ -f /etc/environment ] ; then
   . /etc/environment
 fi
@@ -74,7 +75,7 @@
   xterm -ls &
   if [ -e /etc/X11/window-managers ]
   then
-    for i in `cat /etc/X11/window-managers`
+    for i in `sed -e '/^#/d' /etc/X11/window-managers`
     do
       if [ -x $i ]
       then